<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Recipe list</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>
<body>
<div th:insert="fragments/navbar :: navbar('recipe')"></div>
<button onclick="location.href='/recipe/new'" type="button" class="btn btn-outline-success">Додати рецепт
</button>
<hr/>
<table class="table">
    <thead class="thead-light">
    <tr>
        <th scope="col">
            <a th:href="@{/recipe/?page={id}&sortField={sortField}&sortDir={sortDir}(id=${recipe.number},sortField='name',sortDir=${reverseSortDir})}">
                Рецепт</a>
        </th>
        <th scope="col">Дія</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="recipe : ${recipe}">
        <td th:text="${recipe.getName()}">Recipe name</td>
        <td>
            <div class="btn-group">
                <a th:href="@{/recipe/{id}(id=${recipe.getId()})}">
                    <button type="button" class="btn btn-outline-primary">Редагувати</button>
                </a>

                <form th:method="DELETE" th:action="@{/recipe/{id}(id=${recipe.getId()})}">
                    <button type="submit" class="btn btn-outline-danger">Видалити</button>
                </form>
            </div>
        </td>
    </tr>
    </tbody>
</table>
<div th:insert="fragments/pagination :: pagination(${recipe},'/recipe')"></div>
</body>
</html>